Subject: Re: post b20.1: How to disable umask and access UNC path
From: [email-masked]
To: Earnie Boyd <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Aug 1999 06:10:16 -0400 (EDT)

But should NT Security support be off by default?
And in any case does the fact that new code does not work accross network should be considered as a bug?
I.e. if I make a new file of a different computer it
should be created under the ownership of the account under which I connected to that computer and not the account under which I logged in localy.

Regards, Igor Boukanov

Earnie Boyd wrote: 
> 
> To use this dll without the new NT Security coding SET CYGWIN=nontsec ...
> 
> Earnie
> 
> --- [email-masked] wrote:
> > Hello!
> > 
> > I played with a recent (1999.08.03) coolview binaries from Sergey Okhapkin
> > which, I suppose, contain latest cygwin1.dll and have found that umask
> > finally works.
> > Unfortunately permitions it uses on new files are not suitable for me and I
> > wish to disable the new umask support. The reason:
> > I use cygwin on NT workstation that is not a domain member where I am member
> > of Administrator group and often I access files on another coputer which 
> > is a domain member and where I am NOT an administrator. I have the same
> > account name and password so it is not a problem to access
> > //domain-mmeber/share
> > but then with umask 007 after 
> > cd //domain-mmeber/share
> > touch x
> > I have the following permitions for x:
> > Account Unknown: Special Access(RWDPO)
> > <domain-name>\Administrators: Special Access(RWDPO)
> > Everyone: Special Access ()
> > System: Full Control
> > 
> > I do not like that "Account Unknown:"
> > and second I do not like to have 
> > "System: Full Control" by default.
> > 
> > It also missed a backup group from the parent directory
> > so new files will not be backuped (which IMHO is just an unaceptable change).
> > 
> > So how can I return to the parent directory permition 
> > inheritance in a post b20.1 world?
> > 
> > Also, what is a right way to access UNC path under new 
> > /cygdrive procedure?
> > I tried 
> > /cygdrive/host/share
> > /cygdrive//host/share
> > but it seems that only old
> > //host/share
> > works.
> > 
> > Regards, Igor Boukanov
> > 
> > PS. My CYGWIN is
> > tty noglob binmode
> > 
> > 
> > 
> > 
> > 
> > -----------------------------------------------------
> > Get free email from CMP at http://www.cmpnetmail.com/
> > 
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
> > 
> > 
> 
> _________________________________________________________
> Do You Yahoo!?
> Get your free @yahoo.com address at http://mail.yahoo.com
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

-----------------------------------------------------
Get free email from CMP at http://www.cmpnetmail.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]